curl --request GET \
--url https://api.extole.io/v6/jobs/{jobId}/built \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v6/jobs/{jobId}/built"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v6/jobs/{jobId}/built', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_id": "<string>",
"component_ids": [
"<string>"
],
"created_date": "2025-10-24T02:00:00-07:00",
"enabled": true,
"id": "<string>",
"name": "<string>",
"tasks": [
{
"component_ids": [
"<string>"
],
"id": "<string>",
"job_id": "<string>",
"order": 123,
"task_type": "FILE_HEADER_VALIDATOR",
"expected_headers": [
"<string>"
],
"match_mode": "EXACT_SET",
"on_mismatch": "FAIL"
}
],
"triggers": [
{
"component_ids": [
"<string>"
],
"id": "<string>",
"job_id": "<string>",
"trigger_type": "FILE_NAME_MATCHES",
"match_type": "EXACT",
"pattern": "<string>"
}
],
"updated_date": "2025-10-24T02:00:00-07:00"
}Get the built job
Returns the built job for the specified id, including its built triggers and tasks with the resolved parent job id and component references.
Authorizations
Path Parameters
Response
Successful response
job after buildtime evaluation. Field enabled is already evaluated.
Id of the client that owns this job.
Ids of the campaign components referenced by this job, resolved at build time.
Ids of the campaign components referenced by this job, resolved at build time.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
Resolved enabled state of the job, computed at build time.
Unique id of the job.
Name of the job.
Built tasks belonging to this job.
Built tasks belonging to this job.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Built triggers belonging to this job.
Built triggers belonging to this job.
- Option 1
- Option 2
Show child attributes
Show child attributes
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
